# Update a transaction **PATCH /transact-workflow/v1/users/{userId}/transactions/{transactionId}** Applies a partial update to a transaction. Only the fields present in the body are modified. ## Servers - Production API gateway: https://gateway.lwolf.com (Production API gateway) - Environment-specific host (e.g. pre-production): https://api.pre.lwolf.com (Environment-specific host (e.g. pre-production)) ## Authentication methods - Bearer auth & Subscription key ## Parameters ### Path parameters - **userId** (string(uuid)) Unique identifier (GUID) of the acting user. All Transact Workflow resources are scoped to a user. - **transactionId** (string(uuid)) GUID of the transaction. ### Body: application/json (object) - **type** (integer) Transaction type code. Observed value: `1`. **TODO: document the full list of code values and their meanings.** - **address1** (string) Property street address, line 1. - **address2** (string) Property street address, line 2. - **address3** (string) Property street address, line 3 (e.g. unit number). - **address4** (string) Property street address, line 4. - **locality** (string) City / locality. - **region** (string) State or province code. - **subRegion** (string) County or sub-region. - **postalCode** (string) Postal / ZIP code. - **country** (string) Country. - **legalDescription** (string) Legal description of the property. - **propertyIncludes** (string) Items included with the property. - **propertyExcludes** (string) Items excluded from the property. - **taxNumber** (string) Property tax number. - **mlsNumber** (string) MLS listing number. - **note** (string) Free-form note. - **schoolDistrict** (string) School district. - **zoningClass** (string) Zoning classification. - **yearBuilt** (integer) Year the property was built. - **phase** (integer) Transaction phase code. Observed value: `1`. **TODO: document the full list of code values and their meanings.** - **propertyType** (integer) Property type code. Observed value: `0`. **TODO: document the full list of code values and their meanings.** - **asking** (number) Asking price. - **deposit** (number) Deposit amount. - **taxes** (number) Annual taxes. - **closingDate** (string(date-time)) Closing date. - **listingExpiration** (string(date-time)) Listing expiration date. - **listingGoesLive** (string(date-time)) Date the listing goes live. ## Responses ### 200 Successful response ### 400 The request is malformed or contains invalid parameters. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 401 The access token is missing, invalid, or expired. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 403 The caller is not permitted to perform this operation. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. ### 404 The requested resource does not exist. #### Body: application/json (object) - **error** (string) Error code or short error name. - **message** (string) Human-readable error description. [Powered by Bump.sh](https://bump.sh)